package cn.ibizlab.core.sample.mapping;

import cn.ibizlab.core.sample.domain.IBIZBOOK;
import org.mapstruct.*;
import java.util.List;

@Mapper(componentModel = "spring", uses = {})
public interface IBIZBOOKDataImport {
    @Mappings({
        @Mapping(target = "ibizbookid", source = "ibizbookid"),
        @Mapping(target = "author", source = "author"),
        @Mapping(target = "booknumber", source = "booknumber"),
        @Mapping(target = "borrowway", source = "borrowway"),
        @Mapping(target = "ibizbookname", source = "ibizbookname"),
        @Mapping(target = "press", source = "press"),
        @Mapping(target = "price", source = "price"),
        @Mapping(target = "sailstate", source = "sailstate"),
        @Mapping(target = "subtext", source = "subtext"),
        @Mapping(target = "tag", source = "tag"),
        @Mapping(target = "type", source = "type"),

    })
    @BeanMapping(ignoreByDefault = true)
    IBIZBOOK toDomain(IBIZBOOK entity);

    List<IBIZBOOK> toDomain(List<IBIZBOOK> entities);
}